<div class="row">
  <div class="col text-center">
    <h3>Esempio routing con parameters e query parameters</h3>
  </div>
</div>
<hr>
<div class="row">
  <div class="col-sm-4">
    <h4>Navigazione da template</h4>
    <h6>Direttiva routerLink</h6>
    <ul class="nav nav-pills flex-column">
      <li class="nav-item">
        <a class="nav-link"
            routerLinkActive="active"
            [routerLink]="['/routing-parametrized', '2']">
          Param id 2
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link"
            routerLinkActive="active"
            [routerLink]="['/routing-parametrized', '4']">
            Param id 4
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link"
            routerLinkActive="active"
            [routerLink]="['/routing-parametrized', '5']"
            [queryParams]="{ name: 'Andrea' }">
            Param id 5, Query Param name: Andrea
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link"
            routerLinkActive="active"
            [routerLink]="['/routing-parametrized', '9']"
            [queryParams]="{ name: 'Gioele' }">
            Param id 9, Query Param name: Gioele
        </a>
      </li>
    </ul>
    <hr>
    <h4>Navigazione da codice</h4>
    <h6>Event binding (click)</h6>
    <div class="mb-1">
      <button class="btn" (click)="onLoadRoute(1)"
              [ngClass]="{ 'btn-success': selectedParamId === 1, 'btn-light': selectedParamId !== 1 }">
        <span>Param id 1</span>
      </button>
    </div>
    <div class="my-1">
      <button class="btn" (click)="onLoadRoute(3)"
              [ngClass]="{ 'btn-success': selectedParamId === 3, 'btn-light': selectedParamId !== 3 }">
        <span>Param id 3</span>
      </button>
    </div>
    <div class="my-1">
      <button class="btn" (click)="onLoadRoute(6, 'Nicola')"
              [ngClass]="{ 'btn-success': selectedParamId === 6, 'btn-light': selectedParamId !== 6 }">
        <span>Param id 6, Query param name Nicola</span>
      </button>
    </div>
    <div class="mt-1">
      <button class="btn" (click)="onLoadRoute(8, 'Romualdo')"
              [ngClass]="{ 'btn-success': selectedParamId === 8, 'btn-light': selectedParamId !== 8 }">
        <span>Param id 8, Query param name Romualdo</span>
      </button>
    </div>
  </div>
  <div class="col-sm">
    <router-outlet></router-outlet>
  </div>
</div>
